Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.split
Class JobSplit.TaskSplitIndex

    java.lang.Object
      org.apache.hadoop.mapreduce.split.JobSplit.TaskSplitIndex

Enclosing class:
  JobSplit

    public static class JobSplit.TaskSplitIndex

extends Object

This represents the meta information about the task split that the task gets

Constructor Summary
`JobSplit.TaskSplitIndex()`
`JobSplit.TaskSplitIndex(String splitLocation, long startOffset)`

Method Summary
`String` | `getSplitLocation()`
`long` | `getStartOffset()`
`void` | `readFields(DataInput in)`
`void` | `write(DataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobSplit.TaskSplitIndex

    public JobSplit.TaskSplitIndex()

### JobSplit.TaskSplitIndex

    public JobSplit.TaskSplitIndex(String splitLocation,
                                   long startOffset)

Method Detail

### getStartOffset

    public long getStartOffset()

### getSplitLocation

    public String getSplitLocation()

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation